## pkg-kde-tools 0.17.4.20240828.150525.6e696f7~jammy1+11.0trisquel3

=== CMakeLists.txt ===
project(pkg-kde-tools)
# 2.6.4 has PERL_VENDORLIB
cmake_minimum_required(VERSION 2.6.4)

# Find required perl bits
find_package(PerlLibs)
if (PERL_VENDORLIB AND PERL_EXECUTABLE)
    MESSAGE(STATUS "Perl VendorLib: ${PERL_VENDORLIB}")
else (PERL_VENDORLIB AND PERL_EXECUTABLE)
    MESSAGE(FATAL_ERROR "Unable to determine vendorlib. Perl was not found?")
endif (PERL_VENDORLIB AND PERL_EXECUTABLE)

find_program(POD2MAN pod2man)
if (NOT POD2MAN)
    MESSAGE(FATAL_ERROR "pod2man is required to build this package")
endif (NOT POD2MAN)

set(BIN_INSTALL_DIR bin CACHE PATH "Binary/script installation directory")
set(LIB_INSTALL_DIR lib CACHE PATH "Library installation directory")
set(DATA_INSTALL_DIR share/${CMAKE_PROJECT_NAME} CACHE PATH "Data file installation directory")
set(DATALIB_INSTALL_DIR "${DATA_INSTALL_DIR}/lib")
set(MAN_INSTALL_DIR share/man CACHE PATH "Manual page installation directory")
set(INCLUDE_INSTALL_DIR include CACHE PATH "Header file installation directory")
option(DISABLE_TESTS "Disable ${CMAKE_PROJECT_NAME} tests" OFF)

# Function for building & installing manual pages generated from PODs
function(install_pod_manpages section)
    foreach (pod ${ARGN})
        set(man "${CMAKE_CURRENT_BINARY_DIR}/${pod}.${section}")
        add_custom_command(OUTPUT "${man}"
            COMMAND ${POD2MAN} "${CMAKE_CURRENT_SOURCE_DIR}/${pod}" "${man}"
            MAIN_DEPENDENCY ${pod})
        get_filename_component(podfilename ${pod} NAME)
        add_custom_target(pod2man_${pod} ALL DEPENDS ${man}
            COMMENT "Building manual page for ${pod}" SOURCES ${pod})
        install(FILES ${man} DESTINATION "${MAN_INSTALL_DIR}/man${section}"
                             COMPONENT Documentation)
    endforeach (pod ${ARGN})
endfunction(install_pod_manpages section)

# Install data & arch-indep library bundles
install(DIRECTORY cmake makefiles qt-kde-team
        DESTINATION ${DATA_INSTALL_DIR}
        USE_SOURCE_PERMISSIONS
        COMPONENT Programs)

install(DIRECTORY vcslib/
    DESTINATION ${DATA_INSTALL_DIR}/vcs
    USE_SOURCE_PERMISSIONS
    COMPONENT Programs)

install(DIRECTORY datalib/
    DESTINATION ${DATALIB_INSTALL_DIR}
    USE_SOURCE_PERMISSIONS
    COMPONENT Programs)

install(DIRECTORY perllib/
    DESTINATION ${PERL_VENDORLIB}
    COMPONENT Programs
    FILES_MATCHING PATTERN "*.pm")

# Install debhelper helpers programs
install(PROGRAMS
    dh_movelibkdeinit
    dh_qmlcdeps
    dh_sameversiondep
    dh_sodeps
    DESTINATION ${BIN_INSTALL_DIR}
    COMPONENT Programs
)
install_pod_manpages(1 dh_movelibkdeinit dh_qmlcdeps dh_sameversiondep dh_sodeps)

# Install pkgkde binaries
install(PROGRAMS
    pkgkde-debs2symbols
    pkgkde-gensymbols
    pkgkde-getbuildlogs
    pkgkde-getqmldepends
    pkgkde-mark-qt5-private-symbols
    pkgkde-override-sc-dev-latest
    pkgkde-symbolshelper
    pkgkde-vcs
    pkgkde-git
    pkgkde-update-qt-copyright
    DESTINATION ${BIN_INSTALL_DIR}
    COMPONENT Programs)
install_pod_manpages(1 pkgkde-override-sc-dev-latest)

# Install raw manpages
install(DIRECTORY man1
    DESTINATION ${MAN_INSTALL_DIR}
    COMPONENT Documentation)

# Build dlrestrictions
add_subdirectory(dlrestrictions)

if (NOT DISABLE_TESTS)
    enable_testing()
    add_subdirectory(t)
endif (NOT DISABLE_TESTS)

=== debian/changelog ===
pkg-kde-tools (0.17.4.20240828.150525.6e696f7~jammy1+11.0trisquel3) aramo-backports; urgency=medium

  * Upgrade backport as a dependency for nextcloud-desktop

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 04 Oct 2024 06:49:39 +0000

pkg-kde-tools (0.17.4.20240828.150525.6e696f7~jammy1) jammy; urgency=medium

  [ Aaron Rainbolt ]
  * Replace _g() function calls with g_() in pkgkde-symbolshelper.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 05 Jun 2024 09:42:47 +0300

pkg-kde-tools (0.17.3) unstable; urgency=medium

  * Do not automatically consider current subst as verified. This way we
    can detect wrong substs in more cases (closes: #1072357).
  * Add a few more tests for pkgkde-symbolshelper.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 01 Jun 2024 20:03:08 +0300

pkg-kde-tools (0.17.2) unstable; urgency=medium

  * Add tests for pkgkde-symbolshelper handling of int64_t and time_t.
  * pkgkde-symbolshelper: When checking if a substitution applies, prefer
    i386 to other architectures. This way we can make the right choice
    between int64_t and time_t substitutions (closes: #1071279).
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 25 May 2024 20:28:20 +0300

=== debian/control ===
Source: pkg-kde-tools
Section: devel
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Build-Depends: cmake,
               debhelper-compat (= 13),
               dpkg-dev,
               libdpkg-perl
Standards-Version: 4.7.0
Uploaders: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
           Pino Toscano <pino@debian.org>,
           Dmitry Shachnev <mitya57@debian.org>
Vcs-Git: https://salsa.debian.org/qt-kde-team/pkg-kde-tools.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/pkg-kde-tools
Rules-Requires-Root: no

Package: pkg-kde-tools
Architecture: all
Multi-Arch: foreign
Depends: libdpkg-perl,
         python3-debian,
         python3-yaml,
         python3:any,
         ${misc:Depends},
         ${perl:Depends}
Recommends: dpkg-dev, libwww-perl
Suggests: cdbs, debhelper (>= 7.3.16)
Provides: dh-sequence-kf5,
          dh-sequence-kf6,
          dh-sequence-pkgkde-symbolshelper,
          dh-sequence-qmlcdeps,
          dh-sequence-sodeps
Description: various packaging tools and scripts for KDE Applications
 This package contains a variety of packaging tools and build scripts that may
 be very useful when packaging KDE applications. Even if you are a maintainer
 of a very small KDE application, this package should be worthwhile checking
 out.
 .
 Main highlights:
  - recommended build flags for building packages based on the KDE Platform;
  - cdbs class for building packages based on the KDE Platform (kde.mk);
  - debhelper build system (--buildsystem=kde) and dh addon (--with kde) for
    building packages based on the KDE Platform;
  - dh_sameversiondep for generating a dependency that is versioned the same
    way as a dependency (coming from the same source) of another reference
    package.
  - dh_movelibkdeinit for moving libkdeinit4_*.so libraries to private
    location;
  - dh_sodeps (and sodeps dh addon) for generating so:Depends substvar for -dev
    packages based to which local packages lib*.so symlinks point to;
  - dh_qmlcdeps (and qmlcdeps dh addon) for generating qmlc:Depends substvar
    for packages shipping QML cache files.
  - pkgkde-symbolshelper tool for efficient management of C and C++ symbol
    files;
  - pkgkde-debs2symbols tool for generating symbol files and symbol file
    patches from pre-built binaries in the deb packages;
  - pkgkde-getbuildlogs tool for downloading build logs for the specified
    package (from buildd.debian.org);
  - pkgkde-override-sc-dev-latest tool for overriding Breaks of the
    kde-sc-dev-latest package;
  - pkgkde-vcs tool for performing common tasks when packaging under VCS.
  - qmldepdends.py create a list of QML dependencies.
 .
 NOTE: since this package is cumulative, it does not depend on the packages it
 provides helpers for. I.e. you still need to explicitly build depend on
 debhelper or cdbs in your packages.

Package: libdlrestrictions1
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library that implements library compatibility checks for dlopen()
 This package provides a DLRestrictions library that can be used to check
 compatibility of the external shared library (or plugin) against other
 libraries currently loaded in the global symbol object. It might help to avoid
 symbol clashes and provide means for graceful failure detection in advance
 before the first dlsym() call. Otherwise, usage of incompatible library might
 result in crashes or other unpredictable failures of the application.
 .
 A shared library that is protected by DLRestrictions provides a special symbol
 which defines conditions under which the library may be safely used. At the
 moment, the only restriction that may be imposed controls whether multiple
 SONAMEs of the same library can safely co-exist in the same symbol space.
 Shared library dependencies are also checked for compatibility.

Package: libdlrestrictions-dev
Architecture: any
Section: libdevel
Depends: libdlrestrictions1 (= ${binary:Version}), ${misc:Depends}
Description: development files for the DLRestrictions library
 This package provides development files needed to build both shared libraries,
 which specify their compatibility restrictions, and applications, which check
 whether those restrictions are satisfied before using those libraries. The
 package also contains a CMake module which simplifies building DLRestricted
 shared libraries with CMake.

## pkg-kde-tools 0.17.4.20240828.150525.6e696f7~noble1trisquel3

=== debian/changelog ===
pkg-kde-tools (0.17.4.20240828.150525.6e696f7~noble1trisquel3) ecne-backports; urgency=medium

  * Upgrade backport as a dependency for nextcloud-desktop

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 13 Oct 2024 15:45:30 +0000

pkg-kde-tools (0.17.4.20240828.150525.6e696f7~noble1) noble; urgency=medium

  [ Aaron Rainbolt ]
  * Replace _g() function calls with g_() in pkgkde-symbolshelper.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 05 Jun 2024 09:42:47 +0300

## pkg-kde-tools 0.18.4ubuntu1

=== debian/changelog ===
pkg-kde-tools (0.18.4ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - debian/pkg-kde-tools.install, kubuntu/*:
      + Install kubuntu/ files.
    - perllib/Debian/Debhelper/Sequence/kf5.pm:
      + Execute dh_kubuntu_list-missing after the package is built, i.e.
        after dh_builddeb.
      + Execute dh_kubuntu_execute_lintian after dh_kubuntu_list-missing.
    - qt-kde-team/1/debian-qt-kde.mk:
      + Distribution text = "Kubuntu packages".
    - qt-kde-team/2/debian-qt-kde.mk:
      + Support lintian target.
    - qt-kde-team/3/debian-qt-kde.mk:
      + Don't execute anymore the list-missing target since that is now
        managed by perllib/Debian/Debhelper/Sequence/kf5.pm.
    - qt-kde-team/{2,3}/policy.mk:
      + Remove maintainer checking.
    - qt-kde-team/{2,3}/lintian.mk:
      + Call Lintian after the binary target in debian-qt-kde.mk.
    - qt-kde-team/2/list-missing.mk:
      + Add marker lines recognized by Kubuntu's CI and status reports.
    - debian/control:!i386 !riscv64 for lintian.

 -- Rik Mills <rikmills@kde.org>  Fri, 01 Nov 2024 11:18:35 +0000

pkg-kde-tools (0.18.4) unstable; urgency=medium

  [ Sandro Knauß ]
  * qmldepends:
    - Detect QML dependencies via depends in qmldir files.
    - detect failures from all functions.
    - Able to use apt-file to search for QML modules.

 -- Sandro Knauß <hefee@debian.org>  Tue, 29 Oct 2024 23:34:06 +0100

pkg-kde-tools (0.18.3ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - debian/pkg-kde-tools.install, kubuntu/*:
      + Install kubuntu/ files.
    - perllib/Debian/Debhelper/Sequence/kf5.pm:
      + Execute dh_kubuntu_list-missing after the package is built, i.e.
        after dh_builddeb.
      + Execute dh_kubuntu_execute_lintian after dh_kubuntu_list-missing.
    - qt-kde-team/1/debian-qt-kde.mk:
      + Distribution text = "Kubuntu packages".
    - qt-kde-team/2/debian-qt-kde.mk:
      + Support lintian target.
    - qt-kde-team/3/debian-qt-kde.mk:
      + Don't execute anymore the list-missing target since that is now
        managed by perllib/Debian/Debhelper/Sequence/kf5.pm.
    - qt-kde-team/{2,3}/policy.mk:
      + Remove maintainer checking.
    - qt-kde-team/{2,3}/lintian.mk:
      + Call Lintian after the binary target in debian-qt-kde.mk.
    - qt-kde-team/2/list-missing.mk:
      + Add marker lines recognized by Kubuntu's CI and status reports.
    - debian/control:!i386 !riscv64 for lintian.

 -- Rik Mills <rikmills@kde.org>  Mon, 21 Oct 2024 08:14:36 +0100

pkg-kde-tools (0.18.3) unstable; urgency=medium

  * Team upload.
  * Remove comment from kf6_flags, they prevent the flags from being applied
    at build time because the lines contained in the file gets joined before
    being injected into the build commands.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 20 Oct 2024 20:59:47 +0200

pkg-kde-tools (0.18.2) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Readd -DCMAKE_BUILD_TYPE=Debian to kf6 buildsequence flags, it’s
    required to activate Debian ABI manager correctly.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 16 Oct 2024 10:25:43 +0200

pkg-kde-tools (0.18.1) unstable; urgency=medium

  [ Sandro Knauß ]
  * Detect imports in qmldir file.
  * Detect qmlimportscanner in debian/tmp correctly for qt6-declarative.

 -- Sandro Knauß <hefee@debian.org>  Tue, 15 Oct 2024 22:48:51 +0200

pkg-kde-tools (0.18.0) unstable; urgency=medium

  * Create pythonlib for dh_qmldeps.
  * pkgkde-getqmldepends: Allow QML overrides via
    debian/qmldepends.overrides.
  * pkgkde-getqmldepends: fails with 1, if an error is detected.
  * Add dh_qmldeps - a debhelper to detect runtime QML dependencies.
  * Add qmldeps dh sequence to run dh_qmldeps.

 -- Sandro Knauß <hefee@debian.org>  Sat, 12 Oct 2024 12:13:18 +0200

pkg-kde-tools (0.17.5) unstable; urgency=medium

  [ Sandro Knauß ]
  * pkgkde-getqmldepends:
    - Search also qml modules in packages, that are created.
    -  Be able to set the package to act on.
    - Use Qt 6 by default.

 -- Sandro Knauß <hefee@debian.org>  Sun, 29 Sep 2024 02:52:11 +0200

pkg-kde-tools (0.17.4) unstable; urgency=medium

  [ Aaron Rainbolt ]
  * Replace _g() function calls with g_() in pkgkde-symbolshelper.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 05 Jun 2024 09:42:47 +0300

## pkg-kde-tools 0.18.6

=== debian/changelog ===
pkg-kde-tools (0.18.6) unstable; urgency=medium

  * Team upload.

  * dh_qmldeps:
    - Act only on packages, that matches arch-all/arch-any
    builds.
    -  Substract packages from depends, that are listed in
    recommends.

 -- Sandro Knauß <hefee@debian.org>  Mon, 18 Nov 2024 12:03:14 +0100

pkg-kde-tools (0.18.5) unstable; urgency=medium

  * Team upload.

  * dh_qmldeps:
    - Push all args to pkgkde-getqmldepends.
    - Add pkgkde-getqmldepends show option to print qml
      dependecy on stdout.
    - Handle multiple rootPaths arguments correctly.

 -- Sandro Knauß <hefee@debian.org>  Thu, 07 Nov 2024 23:26:18 +0100

## pkg-kde-tools 0.18.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -63,12 +63,18 @@
 install(PROGRAMS
     dh_movelibkdeinit
     dh_qmlcdeps
+    dh_qmldeps
     dh_sameversiondep
     dh_sodeps
     DESTINATION ${BIN_INSTALL_DIR}
     COMPONENT Programs
 )
 install_pod_manpages(1 dh_movelibkdeinit dh_qmlcdeps dh_sameversiondep dh_sodeps)
+
+# Install pkgkde pythonlib
+install(DIRECTORY pythonlib/
+    DESTINATION ${DATA_INSTALL_DIR}/pythonlib
+    COMPONENT Programs)
 
 # Install pkgkde binaries
 install(PROGRAMS

=== debian/changelog ===
pkg-kde-tools (0.18.12) unstable; urgency=medium

  [ Sandro Knauß ]
  * Allow usage of ${DEB_HOST_MULTIARCH} in qmlfiles.

 -- Sandro Knauß <hefee@debian.org>  Tue, 24 Dec 2024 18:28:04 +0100

pkg-kde-tools (0.18.11) unstable; urgency=medium

  [ Helmut Grohne ]
  * Improve architecture handling in dh_qmldeps (Closes: #1090054):
    + Fix build vs host confusion.
    + Speed up architecture detection using environment.
    + Correctly match architecture patterns.

 -- Sandro Knauß <hefee@debian.org>  Mon, 16 Dec 2024 09:33:29 +0100

pkg-kde-tools (0.18.10) unstable; urgency=medium

  * dh_qmldeps:
    - Use DEB_HOST_MULTIARCH in search path to fix dh_qmldeps for cross
      compilation.
    - Fix run without qmldeps.optional file.
    - Use dpkg-architecture instead of environment variable.

 -- Sandro Knauß <hefee@debian.org>  Wed, 11 Dec 2024 00:12:23 +0100

pkg-kde-tools (0.18.9) unstable; urgency=medium

  [dh_qmldeps]:
  * Fix detection of expected Qt version ( fix it for Qt5).
  * Allow replacement in qmldeps.optional like in qmldeps.overrides.

 -- Sandro Knauß <hefee@debian.org>  Tue, 10 Dec 2024 17:34:44 +0100

pkg-kde-tools (0.18.8) unstable; urgency=medium

  [ Salvo 'LtWorf' Tomaselli ]
  * Minimal manpage for dh_qmldeps

  [ Sandro Knauß ]
  * Add d/qmldeps.optional to mark QML modules as optional (if those
    modules exists add them as dependency, if not ignore the
    dependency.

 -- Sandro Knauß <hefee@debian.org>  Wed, 04 Dec 2024 01:12:16 +0100

pkg-kde-tools (0.18.7) unstable; urgency=medium

  * [dh_qmldeps]: Take Suggests into acount too.

 -- Sandro Knauß <hefee@debian.org>  Mon, 25 Nov 2024 14:54:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: pkg-kde-tools
 Section: devel
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
-               dpkg-dev,
+               dpkg-dev (>= 1.22.5),
                libdpkg-perl
 Standards-Version: 4.7.0
 Uploaders: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
@@ -29,6 +29,7 @@
           dh-sequence-kf6,
           dh-sequence-pkgkde-symbolshelper,
           dh-sequence-qmlcdeps,
+          dh-sequence-qmldeps,
           dh-sequence-sodeps
 Description: various packaging tools and scripts for KDE Applications
  This package contains a variety of packaging tools and build scripts that may
@@ -59,7 +60,7 @@
   - pkgkde-override-sc-dev-latest tool for overriding Breaks of the
     kde-sc-dev-latest package;
   - pkgkde-vcs tool for performing common tasks when packaging under VCS.
-  - qmldepdends.py create a list of QML dependencies.
+  - pkgkde-getqmldepdends create a list of QML dependencies.
  .
  NOTE: since this package is cumulative, it does not depend on the packages it
  provides helpers for. I.e. you still need to explicitly build depend on

## pkg-kde-tools 0.18.12ubuntu1

=== debian/changelog ===
pkg-kde-tools (0.18.12ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - debian/pkg-kde-tools.install, kubuntu/*:
      + Install kubuntu/ files.
    - perllib/Debian/Debhelper/Sequence/kf5.pm:
      + Execute dh_kubuntu_list-missing after the package is built, i.e.
        after dh_builddeb.
      + Execute dh_kubuntu_execute_lintian after dh_kubuntu_list-missing.
    - qt-kde-team/1/debian-qt-kde.mk:
      + Distribution text = "Kubuntu packages".
    - qt-kde-team/2/debian-qt-kde.mk:
      + Support lintian target.
    - qt-kde-team/3/debian-qt-kde.mk:
      + Don't execute anymore the list-missing target since that is now
        managed by perllib/Debian/Debhelper/Sequence/kf5.pm.
    - qt-kde-team/{2,3}/policy.mk:
      + Remove maintainer checking.
    - qt-kde-team/{2,3}/lintian.mk:
      + Call Lintian after the binary target in debian-qt-kde.mk.
    - qt-kde-team/2/list-missing.mk:
      + Add marker lines recognized by Kubuntu's CI and status reports.
    - debian/control:!i386 !riscv64 for lintian.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 24 Dec 2024 19:35:56 -0600

pkg-kde-tools (0.18.11ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - debian/pkg-kde-tools.install, kubuntu/*:
      + Install kubuntu/ files.
    - perllib/Debian/Debhelper/Sequence/kf5.pm:
      + Execute dh_kubuntu_list-missing after the package is built, i.e.
        after dh_builddeb.
      + Execute dh_kubuntu_execute_lintian after dh_kubuntu_list-missing.
    - qt-kde-team/1/debian-qt-kde.mk:
      + Distribution text = "Kubuntu packages".
    - qt-kde-team/2/debian-qt-kde.mk:
      + Support lintian target.
    - qt-kde-team/3/debian-qt-kde.mk:
      + Don't execute anymore the list-missing target since that is now
        managed by perllib/Debian/Debhelper/Sequence/kf5.pm.
    - qt-kde-team/{2,3}/policy.mk:
      + Remove maintainer checking.
    - qt-kde-team/{2,3}/lintian.mk:
      + Call Lintian after the binary target in debian-qt-kde.mk.
    - qt-kde-team/2/list-missing.mk:
      + Add marker lines recognized by Kubuntu's CI and status reports.
    - debian/control:!i386 !riscv64 for lintian.

 -- Rik Mills <rikmills@kde.org>  Tue, 17 Dec 2024 00:26:52 +0000

pkg-kde-tools (0.18.8ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - debian/pkg-kde-tools.install, kubuntu/*:
      + Install kubuntu/ files.
    - perllib/Debian/Debhelper/Sequence/kf5.pm:
      + Execute dh_kubuntu_list-missing after the package is built, i.e.
        after dh_builddeb.
      + Execute dh_kubuntu_execute_lintian after dh_kubuntu_list-missing.
    - qt-kde-team/1/debian-qt-kde.mk:
      + Distribution text = "Kubuntu packages".
    - qt-kde-team/2/debian-qt-kde.mk:
      + Support lintian target.
    - qt-kde-team/3/debian-qt-kde.mk:
      + Don't execute anymore the list-missing target since that is now
        managed by perllib/Debian/Debhelper/Sequence/kf5.pm.
    - qt-kde-team/{2,3}/policy.mk:
      + Remove maintainer checking.
    - qt-kde-team/{2,3}/lintian.mk:
      + Call Lintian after the binary target in debian-qt-kde.mk.
    - qt-kde-team/2/list-missing.mk:
      + Add marker lines recognized by Kubuntu's CI and status reports.
    - debian/control:!i386 !riscv64 for lintian.

 -- Rik Mills <rikmills@kde.org>  Wed, 04 Dec 2024 08:54:00 +0000

pkg-kde-tools (0.18.7ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - debian/pkg-kde-tools.install, kubuntu/*:
      + Install kubuntu/ files.
    - perllib/Debian/Debhelper/Sequence/kf5.pm:
      + Execute dh_kubuntu_list-missing after the package is built, i.e.
        after dh_builddeb.
      + Execute dh_kubuntu_execute_lintian after dh_kubuntu_list-missing.
    - qt-kde-team/1/debian-qt-kde.mk:
      + Distribution text = "Kubuntu packages".
    - qt-kde-team/2/debian-qt-kde.mk:
      + Support lintian target.
    - qt-kde-team/3/debian-qt-kde.mk:
      + Don't execute anymore the list-missing target since that is now
        managed by perllib/Debian/Debhelper/Sequence/kf5.pm.
    - qt-kde-team/{2,3}/policy.mk:
      + Remove maintainer checking.
    - qt-kde-team/{2,3}/lintian.mk:
      + Call Lintian after the binary target in debian-qt-kde.mk.
    - qt-kde-team/2/list-missing.mk:
      + Add marker lines recognized by Kubuntu's CI and status reports.
    - debian/control:!i386 !riscv64 for lintian.

 -- Rik Mills <rikmills@kde.org>  Mon, 25 Nov 2024 14:59:53 +0000

pkg-kde-tools (0.18.6ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - debian/pkg-kde-tools.install, kubuntu/*:
      + Install kubuntu/ files.
    - perllib/Debian/Debhelper/Sequence/kf5.pm:
      + Execute dh_kubuntu_list-missing after the package is built, i.e.
        after dh_builddeb.
      + Execute dh_kubuntu_execute_lintian after dh_kubuntu_list-missing.
    - qt-kde-team/1/debian-qt-kde.mk:
      + Distribution text = "Kubuntu packages".
    - qt-kde-team/2/debian-qt-kde.mk:
      + Support lintian target.
    - qt-kde-team/3/debian-qt-kde.mk:
      + Don't execute anymore the list-missing target since that is now
        managed by perllib/Debian/Debhelper/Sequence/kf5.pm.
    - qt-kde-team/{2,3}/policy.mk:
      + Remove maintainer checking.
    - qt-kde-team/{2,3}/lintian.mk:
      + Call Lintian after the binary target in debian-qt-kde.mk.
    - qt-kde-team/2/list-missing.mk:
      + Add marker lines recognized by Kubuntu's CI and status reports.
    - debian/control:!i386 !riscv64 for lintian.

 -- Rik Mills <rikmills@kde.org>  Mon, 18 Nov 2024 13:22:49 +0000

pkg-kde-tools (0.18.5ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - debian/pkg-kde-tools.install, kubuntu/*:
      + Install kubuntu/ files.
    - perllib/Debian/Debhelper/Sequence/kf5.pm:
      + Execute dh_kubuntu_list-missing after the package is built, i.e.


=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pkg-kde-tools
 Section: devel
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                dpkg-dev (>= 1.22.5),
@@ -10,14 +11,15 @@
 Uploaders: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Pino Toscano <pino@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>
-Vcs-Git: https://salsa.debian.org/qt-kde-team/pkg-kde-tools.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/pkg-kde-tools
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pkg-kde-tools
+Vcs-Browser: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pkg-kde-tools
 Rules-Requires-Root: no
 
 Package: pkg-kde-tools
-Architecture: all
+Architecture: any
 Multi-Arch: foreign
 Depends: libdpkg-perl,
+         lintian [!i386 !riscv64],
          python3-debian,
          python3-yaml,
          python3:any,

## pkg-kde-tools 0.18.12ubuntu3

=== debian/changelog ===
pkg-kde-tools (0.18.12ubuntu3) plucky; urgency=medium

  * Restore lintian to depends.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Mar 2025 15:50:14 +0000

pkg-kde-tools (0.18.12ubuntu2) plucky; urgency=high

  * Drop lintian to recommends as uninstallable in plucky.

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2025 17:38:55 +0000

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
          python3:any,
          ${misc:Depends},
          ${perl:Depends}
-Recommends: dpkg-dev, libwww-perl
+Recommends: dpkg-dev, libwww-perl,
 Suggests: cdbs, debhelper (>= 7.3.16)
 Provides: dh-sequence-kf5,
           dh-sequence-kf6,

## pkg-kde-tools 0.19.0

=== t/symbolshelper/CMakeLists.txt ===
project(SymbolsHelper_tests)
file(COPY run_tests.sh
     ../../pkgkde-symbolshelper
     ../../perllib
     add_int64_t_subst
     add_time_t_subst
     change_int64_t_subst_to_time_t
     change_time_t_subst_to_int64_t
     missing_in_new_version
     missing_on_new_arch
     new_symbols
     DESTINATION .
)
add_test(NAME symbolshelper COMMAND run_tests.sh)

=== debian/changelog ===
pkg-kde-tools (0.19.0) unstable; urgency=medium

  [ Alexandre Detiste ]
  * Drop unused CDBS integration (closes: #1099936).

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 30 Sep 2025 22:32:07 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pkg-kde-tools
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                dpkg-dev (>= 1.22.5),
@@ -11,22 +10,21 @@
 Uploaders: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Pino Toscano <pino@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pkg-kde-tools
-Vcs-Browser: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pkg-kde-tools
+Vcs-Git: https://salsa.debian.org/qt-kde-team/pkg-kde-tools.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/pkg-kde-tools
 Rules-Requires-Root: no
 
 Package: pkg-kde-tools
-Architecture: any
+Architecture: all
 Multi-Arch: foreign
 Depends: libdpkg-perl,
-         lintian [!i386 !riscv64],
          python3-debian,
          python3-yaml,
          python3:any,
          ${misc:Depends},
          ${perl:Depends}
-Recommends: dpkg-dev, libwww-perl,
-Suggests: cdbs, debhelper (>= 7.3.16)
+Recommends: dpkg-dev, libwww-perl
+Suggests: debhelper (>= 7.3.16)
 Provides: dh-sequence-kf5,
           dh-sequence-kf6,
           dh-sequence-pkgkde-symbolshelper,
@@ -41,7 +39,6 @@
  .
  Main highlights:
   - recommended build flags for building packages based on the KDE Platform;
-  - cdbs class for building packages based on the KDE Platform (kde.mk);
   - debhelper build system (--buildsystem=kde) and dh addon (--with kde) for
     building packages based on the KDE Platform;
   - dh_sameversiondep for generating a dependency that is versioned the same
@@ -66,7 +63,7 @@
  .
  NOTE: since this package is cumulative, it does not depend on the packages it
  provides helpers for. I.e. you still need to explicitly build depend on
- debhelper or cdbs in your packages.
+ debhelper in your packages.
 
 Package: libdlrestrictions1
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

execute_after_dh_clean:
	rm -rf **/__pycache__

## pkg-kde-tools 0.19.0ubuntu1

=== CMakeLists.txt ===
--- 
+++ 
@@ -39,7 +39,7 @@
 endfunction(install_pod_manpages section)
 
 # Install data & arch-indep library bundles
-install(DIRECTORY cmake makefiles qt-kde-team
+install(DIRECTORY cmake qt-kde-team
         DESTINATION ${DATA_INSTALL_DIR}
         USE_SOURCE_PERMISSIONS
         COMPONENT Programs)

=== t/CMakeLists.txt ===
function(add_perl_test path)
    get_filename_component(filename "${path}" NAME)
    string(REGEX REPLACE "\\.t$" "" testname ${filename})

    # Custom working directory
    set(cmd_prefix)
    if (ARGV1)
        set(cmd_prefix ${CMAKE_COMMAND} -E chdir ${ARGV1})
    endif (ARGV1)
    add_test(${testname}
        ${cmd_prefix} ${CMAKE_SOURCE_DIR}/run-local ${PERL_EXECUTABLE} -MTest::Harness
        -e "$Test::Harness::verbose=\\\$ENV{VERBOSE}||0; runtests '${path}'")
endfunction(add_perl_test path)

# Syntax check of perl modules and scripts
add_perl_test("${CMAKE_CURRENT_SOURCE_DIR}/perl_syntax_check.t" "${CMAKE_SOURCE_DIR}")

add_subdirectory(dlrestrictions)
add_subdirectory(symbolshelper)

=== t/dlrestrictions/CMakeLists.txt ===
project(DLRestrictions_tests)

find_package(DLRestrictions REQUIRED NO_MODULE PATHS
    "${DLRestrictions_SOURCE_DIR}"
    "${DLRestrictions_BINARY_DIR}" NO_DEFAULT_PATH)

include_directories(${DLRestrictions_SOURCE_DIR})

add_library(testdlr_deeplib1 SHARED testdlr_deeplib1.c)
set_target_properties(testdlr_deeplib1 PROPERTIES
    OUTPUT_NAME "testdlr_deeplib"
    LIBRARY_OUTPUT_DIRECTORY "lib1"
    SOVERSION 1
    VERSION 1.0.0
)

add_library(testdlr_lib1 SHARED testdlr_lib1.c)
set_target_properties(testdlr_lib1 PROPERTIES
    OUTPUT_NAME "testdlr_lib"
    SOVERSION 1
    LIBRARY_OUTPUT_DIRECTORY "lib1"
    VERSION 1.0.0
    DLRESTRICTIONS "REJECT:OTHERSOVERSION"
)
target_link_libraries(testdlr_lib1 testdlr_deeplib1)
dlrestrictions_process_targets(testdlr_lib1)

add_library(testdlr_deeplib2 SHARED testdlr_deeplib2.c)
set_target_properties(testdlr_deeplib2 PROPERTIES
    OUTPUT_NAME "testdlr_deeplib"
    LIBRARY_OUTPUT_DIRECTORY "lib2"
    SOVERSION 2
    VERSION 2.0.0
)

add_library(testdlr_lib2 SHARED testdlr_lib2.c)
set_target_properties(testdlr_lib2 PROPERTIES
    OUTPUT_NAME "testdlr_lib"
    LIBRARY_OUTPUT_DIRECTORY "lib2"
    SOVERSION 2
    VERSION 2.0.0
)
target_link_libraries(testdlr_lib2 testdlr_deeplib1)

add_library(testdlr_plugin SHARED testdlr_plugin.c)
set_target_properties(testdlr_plugin PROPERTIES
    PREFIX ""
    SUFFIX ".so"
)
target_link_libraries(testdlr_plugin testdlr_lib1)

add_library(testdlr_plugin2 SHARED testdlr_plugin.c)
set_target_properties(testdlr_plugin2 PROPERTIES
    PREFIX ""
    SUFFIX ".so"
)
target_link_libraries(testdlr_plugin2 testdlr_lib1)

add_executable(testdlr_loader testdlr_loader.c)
target_link_libraries(testdlr_loader testdlr_lib2 ${CMAKE_DL_LIBS} dlrestrictions)

# Add DLR tests
add_test(testdlr_loader testdlr_loader)
set_tests_properties(testdlr_loader PROPERTIES PASS_REGULAR_EXPRESSION "FAILED dlr_dlopen_extended")

=== debian/changelog ===
pkg-kde-tools (0.19.0ubuntu1) resolute; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - debian/pkg-kde-tools.install, kubuntu/*:
      + Install kubuntu/ files.
    - perllib/Debian/Debhelper/Sequence/kf5.pm:
      + Execute dh_kubuntu_list-missing after the package is built, i.e.
        after dh_builddeb.
      + Execute dh_kubuntu_execute_lintian after dh_kubuntu_list-missing.
    - qt-kde-team/1/debian-qt-kde.mk:
      + Distribution text = "Kubuntu packages".
    - qt-kde-team/2/debian-qt-kde.mk:
      + Support lintian target.
    - qt-kde-team/3/debian-qt-kde.mk:
      + Don't execute anymore the list-missing target since that is now
        managed by perllib/Debian/Debhelper/Sequence/kf5.pm.
    - qt-kde-team/{2,3}/policy.mk:
      + Remove maintainer checking.
    - qt-kde-team/{2,3}/lintian.mk:
      + Call Lintian after the binary target in debian-qt-kde.mk.
    - qt-kde-team/2/list-missing.mk:
      + Add marker lines recognized by Kubuntu's CI and status reports.
    - debian/control:!i386 !riscv64 for lintian.

 -- Rik Mills <rikmills@kde.org>  Wed, 22 Oct 2025 16:32:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pkg-kde-tools
 Section: devel
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                dpkg-dev (>= 1.22.5),
@@ -10,20 +11,21 @@
 Uploaders: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Pino Toscano <pino@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>
-Vcs-Git: https://salsa.debian.org/qt-kde-team/pkg-kde-tools.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/pkg-kde-tools
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pkg-kde-tools
+Vcs-Browser: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pkg-kde-tools
 Rules-Requires-Root: no
 
 Package: pkg-kde-tools
-Architecture: all
+Architecture: any
 Multi-Arch: foreign
 Depends: libdpkg-perl,
+         lintian [!i386 !riscv64],
          python3-debian,
          python3-yaml,
          python3:any,
          ${misc:Depends},
          ${perl:Depends}
-Recommends: dpkg-dev, libwww-perl
+Recommends: dpkg-dev, libwww-perl,
 Suggests: debhelper (>= 7.3.16)
 Provides: dh-sequence-kf5,
           dh-sequence-kf6,

=== t/symbolshelper/add_int64_t_subst/debian/control ===
Source: foo

Package: libfoo1
Architecture: any

## pkg-kde-tools 0.19.1

=== debian/changelog ===
pkg-kde-tools (0.19.1) unstable; urgency=medium

  [ Patrick Franz ]
  * Add trixie & forky to supported distributions.

  [ Guillem Jover ]
  * Pass also no_check to Dpkg::IPC spawn() and wait_child().

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 25 Nov 2025 18:17:57 +0300

## pkg-kde-tools 0.19.1ubuntu1

=== debian/changelog ===
pkg-kde-tools (0.19.1ubuntu1) resolute; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - debian/pkg-kde-tools.install, kubuntu/*:
      + Install kubuntu/ files.
    - perllib/Debian/Debhelper/Sequence/kf5.pm:
      + Execute dh_kubuntu_list-missing after the package is built, i.e.
        after dh_builddeb.
      + Execute dh_kubuntu_execute_lintian after dh_kubuntu_list-missing.
    - qt-kde-team/1/debian-qt-kde.mk:
      + Distribution text = "Kubuntu packages".
    - qt-kde-team/2/debian-qt-kde.mk:
      + Support lintian target.
    - qt-kde-team/3/debian-qt-kde.mk:
      + Don't execute anymore the list-missing target since that is now
        managed by perllib/Debian/Debhelper/Sequence/kf5.pm.
    - qt-kde-team/{2,3}/policy.mk:
      + Remove maintainer checking.
    - qt-kde-team/{2,3}/lintian.mk:
      + Call Lintian after the binary target in debian-qt-kde.mk.
    - qt-kde-team/2/list-missing.mk:
      + Add marker lines recognized by Kubuntu's CI and status reports.
    - debian/control:!i386 !riscv64 for lintian.

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Nov 2025 16:05:46 +0000

## pkg-kde-tools 0.19.1ubuntu2

=== debian/changelog ===
pkg-kde-tools (0.19.1ubuntu2) resolute; urgency=high

  * Exclude lintian depends from ppc64el and s390x.

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 23:06:36 +0000

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
 Architecture: any
 Multi-Arch: foreign
 Depends: libdpkg-perl,
-         lintian [!i386 !riscv64],
+         lintian [!i386 !ppc64el !riscv64 !s390x],
          python3-debian,
          python3-yaml,
          python3:any,

## pkg-kde-tools 0.19.1+nmu1

=== debian/changelog ===
pkg-kde-tools (0.19.1+nmu1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Bas Couwenberg ]
  * Fix FTBFS with dpkg 1.23.0, rename option to match this change:
     - Dpkg::Shlibs::SymbolFile: Rename file option to filename.

 -- Bastian Germann <bage@debian.org>  Mon, 22 Dec 2025 12:29:26 +0100

## pkg-kde-tools 0.19.2

=== debian/changelog ===
pkg-kde-tools (0.19.2) unstable; urgency=medium

  [ Sandro Knauß ]
  * Refactor dh_qmldeps to make it reusable.

  [ Bas Couwenberg ]
  * Fix FTBFS with dpkg 1.23.0 (closes: #1123816):
     - Dpkg::Shlibs::SymbolFile: Rename file option to filename.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 23 Dec 2025 11:38:25 +0300

## pkg-kde-tools 0.19.3

=== debian/changelog ===
pkg-kde-tools (0.19.3) unstable; urgency=medium

  * Stop passing deprecated nocheck option to spawn() and wait_child().
  * Bump required CMake to 3.13, and modernize DLRestrictionsConfig.cmake
    (closes: #1125558).
  * Fix bad-whatis-entry Lintian warning for dh_qmldeps(1).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 16 Jan 2026 11:09:55 +0300

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,29 @@
 Source: pkg-kde-tools
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                dpkg-dev (>= 1.22.5),
-               libdpkg-perl
+               libdpkg-perl (>= 1.23.0)
 Standards-Version: 4.7.0
 Uploaders: Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Pino Toscano <pino@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pkg-kde-tools
-Vcs-Browser: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pkg-kde-tools
+Vcs-Git: https://salsa.debian.org/qt-kde-team/pkg-kde-tools.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/pkg-kde-tools
 Rules-Requires-Root: no
 
 Package: pkg-kde-tools
-Architecture: any
+Architecture: all
 Multi-Arch: foreign
-Depends: libdpkg-perl,
-         lintian [!i386 !ppc64el !riscv64 !s390x],
+Depends: libdpkg-perl (>= 1.23.0),
          python3-debian,
          python3-yaml,
          python3:any,
          ${misc:Depends},
          ${perl:Depends}
-Recommends: dpkg-dev, libwww-perl,
+Recommends: dpkg-dev, libwww-perl
 Suggests: debhelper (>= 7.3.16)
 Provides: dh-sequence-kf5,
           dh-sequence-kf6,

## pkg-kde-tools 0.20.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(pkg-kde-tools)
-# 2.6.4 has PERL_VENDORLIB
-cmake_minimum_required(VERSION 2.6.4)
+# 3.13 has target_link_options
+cmake_minimum_required(VERSION 3.13)
 
 # Find required perl bits
 find_package(PerlLibs)

=== debian/changelog ===
pkg-kde-tools (0.20.0) unstable; urgency=medium

  * dh_qmldeps: Add introspection hints for known configuration files.
  * dh_qmldeps: Add more variables for qmlfiles to use autodetection of
    modules and files.

 -- Sandro Knauß <hefee@debian.org>  Mon, 16 Feb 2026 17:14:56 +0100
